Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.message
Class MessageContentsList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<java.lang.Object>
                  org.apache.cxf.message.MessageContentsList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.lang.Object>, java.util.Collection<java.lang.Object>, java.util.List<java.lang.Object>, java.util.RandomAccess

    public class MessageContentsList

extends java.util.ArrayList<java.lang.Object>

See Also:
  Serialized Form

Field Summary
`static java.lang.Object` | `REMOVED_MARKER`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`MessageContentsList()`
`MessageContentsList(java.util.List<?> values)`
`MessageContentsList(java.lang.Object... values)`

Method Summary
`java.lang.Object` | `get(MessagePartInfo key)`
`static MessageContentsList` | `getContentsList(Message msg)`
`boolean` | `hasValue(MessagePartInfo key)`
`java.lang.Object` | `put(MessagePartInfo key, java.lang.Object value)`
`void` | `remove(MessagePartInfo key)`
`java.lang.Object` | `set(int idx, java.lang.Object value)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Field Detail

### REMOVED_MARKER

    public static final java.lang.Object REMOVED_MARKER

Constructor Detail

### MessageContentsList

    public MessageContentsList()

### MessageContentsList

    public MessageContentsList(java.lang.Object... values)

### MessageContentsList

    public MessageContentsList(java.util.List<?> values)

Method Detail

### getContentsList

    public static MessageContentsList getContentsList(Message msg)

### set

    public java.lang.Object set(int idx,
                                java.lang.Object value)

  Specified by:
    `set` in interface `java.util.List<java.lang.Object>`
  Overrides:
    `set` in class `java.util.ArrayList<java.lang.Object>`

### put

    public java.lang.Object put(MessagePartInfo key,
                                java.lang.Object value)

### hasValue

    public boolean hasValue(MessagePartInfo key)

### get

    public java.lang.Object get(MessagePartInfo key)

### remove

    public void remove(MessagePartInfo key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF